## net.i2p.router.tunnel
Interface FragmentHandler.DefragmentedReceiver

Enclosing interface:
  FragmentHandler

public static interface FragmentHandler.DefragmentedReceiver

Receive messages out of the tunnel endpoint. There should be a single instance of this object per tunnel so that it can tell what tunnel various messages come in on (e.g. to prevent DataMessages arriving from anywhere other than the client's inbound tunnels)

Method Summary
`void` `receiveComplete(I2NPMessage msg, Hash toRouter, TunnelId toTunnel)` Receive a fully formed I2NPMessage out of the tunnel

Method Detail

### receiveComplete

    public void receiveComplete(I2NPMessage msg,
                                Hash toRouter,
                                TunnelId toTunnel)

  Receive a fully formed I2NPMessage out of the tunnel

  Parameters:
    `msg` - message received
    `toRouter` - where we are told to send the message (null means locally)
    `toTunnel` - where we are told to send the message (null means locally or to the specified router)